using System;
using System.Text.Json.Serialization;
namespace org.accordproject.binary {
   using concerto;
   abstract class BinaryResource : Asset {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.binary.BinaryResource";
      public string identifier { get; set; }
      public string name { get; set; }
      public string mimeType { get; set; }
      public string encoding { get; set; }
   }
   class BinaryReference : BinaryResource {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.binary.BinaryReference";
   }
   class BinaryFile : BinaryResource {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.binary.BinaryFile";
      public string content { get; set; }
   }
}
